List
Returns the list of secret versions in a specified container, without its Payload.
Authorizations
The Authorization header expects a Bearer token.
Query Parameters
Secret id related to the version.
The maximum number of results per page to return. If the number of available results is larger than [page_size], the service returns a [ListSecretVersionsResponse.next_page_token] that can be used to get the next page of results in subsequent list requests. Default value: 100.
Page token. To get the next page of results, set [page_token] to the [ListSecretVersionsResponse.next_page_token] returned by a previous list request.
By default, List operation doesn't include resources that are scheduled for deletion. If show_scheduled_for_deletion = true, the listing includes resources that are scheduled for deletion.
Response
A successful response.
List of secret versions in the specified container, without its Payload.
This token allows you to get the next page of results for list requests. If the number of results is greater than the specified [ListSecretVersionsRequest.page_size], use the [next_page_token] as the value for the [ListSecretVersionsRequest.page_token] query parameter in the next list request. Each subsequent list request will have its own [next_page_token] to continue paging through the results.